| FlatBuffers An open source project by FPL.

Public Member Functions | Static Public Member Functions | List of all members
com.google.flatbuffers.FlexBuffers.Vector Class Reference

Object that represents a set of elements in the buffer. More...

Inheritance diagram for com.google.flatbuffers.FlexBuffers.Vector:

## Detailed Description

Object that represents a set of elements in the buffer.

## Public Member Functions
Reference | get (int index)
| Get a element in a vector by index. More...
boolean | isEmpty ()
| Checks if the vector is empty. More...
StringBuilder | toString (StringBuilder sb)
| Appends a text(JSON) representation to a `StringBuilder` More...

## Static Public Member Functions
static Vector | empty ()
| Returns an empty `Map`. More...

## Member Function Documentation

## ◆ empty()

static Vector com.google.flatbuffers.FlexBuffers.Vector.empty | ( |  | ) |
| inline static

Returns an empty `Map`.

Returns
  an empty `Map`

Reimplemented in com.google.flatbuffers.FlexBuffers.Map, and com.google.flatbuffers.FlexBuffers.TypedVector.

## ◆ get()

Reference com.google.flatbuffers.FlexBuffers.Vector.get | ( | int | index | ) |
| inline

Get a element in a vector by index.

Parameters

  index | position of the element

Returns
  `Reference` to the element

Reimplemented in com.google.flatbuffers.FlexBuffers.TypedVector.

## ◆ isEmpty()

boolean com.google.flatbuffers.FlexBuffers.Vector.isEmpty | ( |  | ) |
| inline

Checks if the vector is empty.

Returns
  true if vector is empty

## ◆ toString()

StringBuilder com.google.flatbuffers.FlexBuffers.Vector.toString | ( | StringBuilder | sb | ) |
| inline

Appends a text(JSON) representation to a `StringBuilder`

Reimplemented in com.google.flatbuffers.FlexBuffers.Map.

The documentation for this class was generated from the following file:

- FlexBuffers.java